For the complete documentation index, see llms.txt. This page is also available as Markdown.

Api Keys

API key management and access control.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
apiKeyIdstringRequiredExample: aa27a2ae-8235-426d-91ad-6e30cb494b2b
Query parameters
expandstring[]OptionalExample: ["_links.user"]
Responses
200

Returns an ApiKey

application/json
idstringRead-onlyRequired
displayNamestringRequired

Display name for the API key

apiKeySecretstringRead-onlyOptional
statusstring · enumRequiredPossible values:
isReadonlybooleanOptional

When enabled, this API key is restricted to safe, read-only HTTP methods (GET, HEAD, OPTIONS, TRACE) and cannot perform writes

Default: false
_linksobjectRequired
get/api-keys/{apiKeyId}
GET /apis/v2/api-keys/{apiKeyId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns an ApiKey

{
  "id": "text",
  "displayName": "text",
  "apiKeySecret": "text",
  "status": "ACTIVE",
  "user": {
    "id": "text"
  },
  "isReadonly": false,
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
apiKeyIdstringRequired
Body
displayNamestringOptional

Display name for the API key

statusstring · enumOptionalPossible values:
isReadonlybooleanOptional

When enabled, this API key is restricted to safe, read-only HTTP methods (GET, HEAD, OPTIONS, TRACE) and cannot perform writes

Default: false
Responses
200

Returns an ApiKey

application/json
idstringRead-onlyRequired
displayNamestringRequired

Display name for the API key

apiKeySecretstringRead-onlyOptional
statusstring · enumRequiredPossible values:
isReadonlybooleanOptional

When enabled, this API key is restricted to safe, read-only HTTP methods (GET, HEAD, OPTIONS, TRACE) and cannot perform writes

Default: false
_linksobjectRequired
patch/api-keys/{apiKeyId}
PATCH /apis/v2/api-keys/{apiKeyId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "displayName": "text",
  "status": "ACTIVE",
  "isReadonly": false
}
{
  "id": "text",
  "displayName": "text",
  "apiKeySecret": "text",
  "status": "ACTIVE",
  "user": {
    "id": "text"
  },
  "isReadonly": false,
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
displayNamestringOptional

Filter by api key display name

Example: My API Key display name
isReadonlystringOptional

Filter by read-only status (true / false)

Example: true
pagenumberOptionalExample: 1
ippnumberOptionalExample: 10
expandstring[]OptionalExample: ["items._links.user"]
statusanyOptional

Filter by status

Example: ACTIVE
Responses
200

Returns an ApiKeyCollection

application/json
get/api-keys
GET /apis/v2/api-keys HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns an ApiKeyCollection

{
  "items": [
    {
      "id": "text",
      "displayName": "text",
      "apiKeySecret": "text",
      "status": "ACTIVE",
      "user": {
        "id": "text"
      },
      "isReadonly": false,
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRead-onlyRequired
displayNamestringRequired

Display name for the API key

apiKeySecretstringRead-onlyOptional
statusstring · enumRequiredPossible values:
isReadonlybooleanOptional

When enabled, this API key is restricted to safe, read-only HTTP methods (GET, HEAD, OPTIONS, TRACE) and cannot perform writes

Default: false
_linksobjectRequired
Responses
201

Returns an ApiKey

application/json
idstringRead-onlyRequired
displayNamestringRequired

Display name for the API key

apiKeySecretstringRead-onlyOptional
statusstring · enumRequiredPossible values:
isReadonlybooleanOptional

When enabled, this API key is restricted to safe, read-only HTTP methods (GET, HEAD, OPTIONS, TRACE) and cannot perform writes

Default: false
_linksobjectRequired
post/api-keys
POST /apis/v2/api-keys HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 92

{
  "displayName": "text",
  "status": "ACTIVE",
  "user": {
    "id": "text"
  },
  "isReadonly": false,
  "_links": {}
}
{
  "id": "text",
  "displayName": "text",
  "apiKeySecret": "text",
  "status": "ACTIVE",
  "user": {
    "id": "text"
  },
  "isReadonly": false,
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}

Last updated

Was this helpful?